# Overview

This charm provides NFSv4 (http://nfs.sourceforge.net/).   Installs and configures an NFSv4 daemon with the standard accompanying services, portmapd and idmapd.


# Usage

### Owncloud

Step by step instructions on using the charm:

	juju deploy nfs
	juju deploy mysql
	juju deploy owncloud
	juju add-relation mysql:owncloud
	juju add-relation nfs:nfs owncloud:shared-fs

The above example deploys OwnCloud personal cloud storage, and provides remote storage via the NFS host.

### Wordpress

Step by step instructions on using the charm:

	juju deploy nfs
	juju deploy mysql
	juju deploy wordpress
	juju add-relation mysql:db wordpress:db
	juju add-relation nfs:nfs wordpress:nfs


## Known Limitations and Issues


At present the charms consuming an NFS relationship only account for a single host. Most charms assume the first incoming NFS mount-point is the sole replacement, and subsequent NFS relationship-join requests are ignored.

# Configuration

 - initial_daemon_count: The number of nfs daemons to run on startup
 - storage_root: The root path where exported directories will be created
 - export_options: The default export options. Ships with rw,sync,no_root_squash,no_all_squash

# Contact Information

Mark Mims <mark.mims@canonical.com>

## Upstream NFS Project

- To view the source: https://code.launchpad.net/~charmers/charms/precise/nfs/trunk
- To report a bug: https://bugs.launchpad.net/charms/precise/+source/nfs
